<?php
/*------------------------------------------------------------------------
# kategorie.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import the list field type
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

class JFormFieldkategorie extends JFormFieldList
{
	/**
	 * The urednideska0 field type.
	 *
	 * @var		string
	 */
	protected $type = 'Kategorie';

	/**
	 * Method to get a list of options for a list input.
	 *
	 * @return	array		An array of JHtml options.
	 */
	protected function getOptions()
	{
		return UrednideskaHelper::getKategorieOptions();
	}
}
?>