<?php
/**
 * @package		Joomla.Administrator
 * @subpackage	com_weblinks
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

$this->params	= (isset($this->state->params)) ? $this->state->params : new JObject();
$allowExt = $this->params->get('povolene_pripony', '');

$allowExtJSON = json_encode(explode(',', $allowExt));  
?>

<script type="text/javascript">
	Joomla.submitbutton = function(task) {
		if ($('jform_publish_up').value >= $('jform_publish_down').value) {
      alert('<?php echo $this->escape(JText::_('COM_UREDNIDESKA_ITEM_EDIT_VALID_DATE'));?>');
      return false;  
    }
    
    if (task == 'upravazaznamu.cancel' || document.formvalidator.isValid(document.id('item-form'))) {
			<?php echo $this->form->getField('fulltext')->save(); ?>
			Joomla.submitform(task, document.getElementById('item-form'));
		} else {
		  alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
  
  function platnost(e) {
    var platnost = '<?php echo $this->params->get( 'platnost'); ?>';
    
    if (e) {
      $('jform_publish_down').value = platnost;
      $('jform_publish_down').setProperty('readonly','readonly');
      $('jform_publish_down_img').fade('out'); 
    }
    else {
      $('jform_publish_down').value = '';
      $('jform_publish_down').removeProperty('readonly');
      $('jform_publish_down_img').fade('in');
    }  
  }
  
  function filelist() { 
    var id = <?php echo $this->item->id; ?>; 
    $('filelist').empty();
    var myHTMLRequest = new Request.HTML({
      append: $('filelist'),
      url: 'index.php',
      onSuccess: function() {
        if(!$('sortable')) {
          return;
        }
        
        SqueezeBox.initialize({});
		    SqueezeBox.assign($$('a.modal-ud'), {
          parse: 'rel'
		    });
        
        var sort_order = '';
        $$('#sortable li').each(function(li) {
          sort_order = sort_order + li.get('rel') + '|';
        });
            
        $('sort_order').value = sort_order;
      
        new Sortables($('sortable'), {
          clone: true,
          revert: true,
          onStart: function(el, clone){
            this.element.addClass('placeholder');
            clone.addClass('clone'); 
          },
          onComplete: function(el) {
            this.element.removeClass('placeholder');
            var sort_order = '';
            $$('#sortable li').each(function(li, index) { 
              if(li.getStyle('position') != 'absolute') {
                sort_order = sort_order +  li.get('rel') + '|';
              }
            });
            
            if($('sort_order').value != sort_order) {
              $('sort_order').value = sort_order;
              var myRequestSort = new Request({
                method: 'get',
                url: 'index.php'
              }).send('option=com_urednideska&task=upravazaznamu.fileorder&sortorder='+sort_order);
            }
          }
        });
      }
    }).get({'option': 'com_urednideska', 'task': 'upravazaznamu.filelist', 'id': id});
  }
  
  function deletefile (id) {
    if(!confirm('<?php echo JText::_('COM_UREDNIDESKA_FILE_DELETE_ALERT');?>')) {
      return;
    }
      
    var jsonRequest = new Request.JSON({url: 'index.php', onSuccess: function(notice){      
      filelist();
    }}).get({'option': 'com_urednideska', 'task': 'upravazaznamu.deletefile', 'id': id});
  }
  
  window.addEvent('domready', function() {
    var platnost = '<?php echo $this->params->get( 'platnost'); ?>';
    var id = <?php echo (int) $this->item->id; ?>;
    
    if ($('jform_publish_down').value == platnost) {
      $('jform_publish_down').setProperty('readonly','readonly');
      $('jform_publish_down_img').fade('out');
    }
    
    if (id > 0) {
      var myUpload = new MooUpload('filecontrol', {
		    action: 'index.php?option=com_urednideska&task=upravazaznamu.uploadfiles&pid='+ id,		// Server side upload script
		    method: 'html5',
        fileext: <?php echo $allowExtJSON; ?>,
        texts: {
          error      : '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_ERROR');?>',
          file       : '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_FILE');?>',
          filesize   : '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_FILESIZE');?>',
          filetype   : '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_FILETYPE');?>',	 
          sel        : '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_SEL');?>',
          selectfile : '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_ADDFILES');?>',
          status     : '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_STATUS');?>',
          startupload: '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_STARTUPLOAD');?>',
          uploaded   : '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_UPLOADED');?>',
          allowfileext   : '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_ALLOW_FILE_EXT');?>'
        },
        filelist: new Array('doc'),
        onFinishUpload: function(){filelist();},
        onLoad: function() {			
          if(this.options.method != 'html5') {
            document.id('filecontrol').set('html', '<?php echo JText::_('COM_UREDNIDESKA_ITEM_UPLOAD_NOHTML5');?>');
          }
		    }
      });
      
      filelist();
    }
    else {
      $('filecontrol').set('html','<?php echo JText::_('COM_UREDNIDESKA_ITEM_EDIT_NEW');?>');
    }  
  });
</script>

<div class="width-40 fltrt">
  <fieldset class="adminform">
  <legend><?php echo JText::_('COM_UREDNIDESKA_UPLOAD_FILES');?></legend>
    <div id="filecontrol"></div>
  </fieldset>
  <fieldset class="adminform">
  <legend><?php echo JText::_('COM_UREDNIDESKA_UPLOAD_FILELIST');?></legend>
    <div style="text-align: right; font-style: italic;"><?php echo JText::_('COM_UREDNIDESKA_UPLOAD_FILELIST_ORDERING');?></div>
    <div id="filelist"></div>
  </fieldset>
</div>
<form action="<?php echo JRoute::_('index.php?option=com_urednideska&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate">
  <div class="width-60 fltlft">
  	<fieldset class="adminform">
      <legend><?php echo JText::_('COM_UREDNIDESKA_FIELDSET_DETAILS');?></legend>
      <ul class="adminformlist">
  			<li><?php echo $this->form->getLabel('title'); ?>
  			<?php echo $this->form->getInput('title'); ?></li>
        
        <li><?php echo $this->form->getLabel('alias'); ?>
  			<?php echo $this->form->getInput('alias'); ?></li>
        
        <li><?php echo $this->form->getLabel('jedcislo'); ?>
  			<?php echo $this->form->getInput('jedcislo'); ?></li>
        
        <?php if($this->params->get('sloupec1param') == '3' && $this->params->get( 'sloupec1') != '') : ?>
          <li><label id="jform_vlastni1-lbl" class="" for="jform_vlastni1"><?php echo $this->params->get( 'sloupec1'); ?></label>
  			  <?php echo $this->form->getInput('vlastni1'); ?></li>
        <?php endif; ?>
        
        <?php if($this->params->get('sloupec2param') == '3' && $this->params->get( 'sloupec2') != '') : ?>
          <li><label id="jform_vlastni2-lbl" class="" for="jform_vlastni2"><?php echo $this->params->get( 'sloupec2'); ?></label>
  			  <?php echo $this->form->getInput('vlastni2'); ?></li>
        <?php endif; ?>
        
        <li><?php echo $this->form->getLabel('catid'); ?>
  			<?php echo $this->form->getInput('catid'); ?></li>
        
        <li><?php echo $this->form->getLabel('created_by'); ?>
  			<?php echo $this->form->getInput('created_by'); ?></li>
        
        <li><?php echo $this->form->getLabel('publish_up'); ?>
  			<?php echo $this->form->getInput('publish_up'); ?></li>
        
        <li><?php echo $this->form->getLabel('publish_down'); ?>
  			<?php echo $this->form->getInput('publish_down'); ?></li>
        
        <li><?php echo $this->form->getLabel('platnost'); ?>
  			<?php echo $this->form->getInput('platnost'); ?></li>
        
        <li><?php echo $this->form->getLabel('id'); ?>
  			<?php echo $this->form->getInput('id'); ?></li>
      </ul>
    </fieldset>
    <fieldset class="adminform">
      <legend><?php echo JText::_('COM_UREDNIDESKA_DESCRIPTION');?></legend>
      <?php echo $this->form->getInput('fulltext'); ?>
    </fieldset>
  </div>
  <div>
  	<input type="hidden" name="task" value="" />
  	<?php echo JHtml::_('form.token'); ?>
  </div>
</form>
