<?php
/*------------------------------------------------------------------------
# default_body.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
$user = JFactory::getUser();

$canEdit	= $user->authorise('core.edit', 'com_urednideska');
$canChange	= $user->authorise('core.edit.state',	'com_urednideska');

//$edit = "index.php?option=com_urednideska&view=urednideska&task=urednidesk.edit";
?>
<?php foreach($this->items as $i => $item): ?>
	<?php
    $link = 'index.php?option=com_urednideska&amp;view=upravazaznamu&amp;hidemainmenu=1&amp;task=upravazaznamu.edit&amp;layout=edit&amp;id='. $item->id. '';
  ?>
  <tr class="row<?php echo $i % 2; ?>">
		<td class="center">
      <?php echo JHtml::_('grid.id', $i, $item->id); ?>
    </td>
    <td class="center nowrap">
      <?php echo JFactory::getDate($item->publish_up)->toFormat(JText::_('COM_UREDNIDESKA_DATE_FORMAT1')); ?>
		</td>
    <td class="center nowrap">
      <?php
        if ($item->publish_down == '0000-00-00') {
          echo $this->params->get( 'platnost', '');
        }
        else {
          echo JFactory::getDate($item->publish_down)->toFormat(JText::_('COM_UREDNIDESKA_DATE_FORMAT1'));
        }
      ?>
		</td>
    <td class="center">
      <?php echo $item->jedcislo; ?>
		</td>
    <td>
      <?php if ($item->state == -1) : ?>
        <?php echo $item->title.' <em>'.JText::_('COM_UREDNIDESKA_ARCHIVED').'</em>'; ?>
			<?php else : ?>				  
        <?php if($canEdit) : ?>
        <a href="<?php echo $link; ?>"><?php echo $item->title; ?></a>
        <?php else : ?>
        <?php echo $item->title; ?>
        <?php endif; ?>
			<?php endif; ?>
			<?php if ($this->anotace == 1) : ?>
        <div class="anotace"><?php echo $item->fulltext; ?></div>
			<?php endif; ?>
		</td>
    <td>
      <?php echo ($this->params->get('kontakty')) ? $row->kontakt : $item->username ?>
    </td>
    <td>
      <?php
        $listfiles = array();
        foreach ($this->files AS $file) {
          if ($file->pid == $item->id) {
            echo '<ul style="padding-left: 15px; margin: 5px 0; list-style-type: square;">';
            echo '<li>'.$this->soubor ($file->pid,$file->file,$file->filename,$file->extension).', <span title="'.JText::_('COM_UREDNIDESKA_COUNT_DOWNLOADS').'">'.$file->hits.'x</span></li>';
            echo '</ul>';  
          }
        }
      ?>
    </td>
    <td>
      <?php echo $item->catitle; ?>
    </td>
    <?php if($this->params->get('sloupec1param', 0) == '3' && $this->params->get('sloupec1', '') != '') : ?>
    <td width="6%">
		  <?php echo $item->vlastni1; ?>
    </td>
    <?php endif; ?>
    <?php if($this->params->get( 'sloupec2param', 0) == '3' && $this->params->get( 'sloupec2', '') != '') : ?>
    <td width="6%">
		  <?php echo $item->vlastni2; ?>
    </td>
    <?php endif; ?>
    <td>
			<?php echo $item->id; ?>
		</td>
	</tr>
<?php endforeach; ?>