<?php
/*------------------------------------------------------------------------
# default_date1.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/


// no direct access
defined('_JEXEC') or die('Restricted access');

?>
<?php ($this->params->get('sloupec1') != '') ? $s1 = 1 : $s1 = 0 ?>
<?php ($this->params->get('sloupec2') != '') ? $s2 = 1 : $s2 = 0 ?>
<?php $pocetsloupcu = 4+$s1+$s2 ?>
<div id="archive">
  <?php if(count($this->archive) > 0) : ?>
  <table id="urednideska" width="99%"  cellpadding="0" cellspacing="0">
    <tr class="heading">
      <td class="vyveseno"><?php echo JText::_('COM_UREDNIDESKA_VYVESENO')?></td>
      <td class="sejmuto"><?php echo JText::_('COM_UREDNIDESKA_SEJMUTO')?></td>
      <td class="nazev"><?php echo JText::_('COM_UREDNIDESKA_NAZEV_A_ANOTACE')?></td>
      <td class="kategorie"><?php echo JText::_('COM_UREDNIDESKA_KATEGORIE')?></td>
      <?php if ($this->params->get('sloupec1') != '') : ?>
        <td class="vlastni1"><?php echo $this->params->get('sloupec1') ?></td>
      <?php endif ?>
      <?php if ($this->params->get('sloupec2') != '') : ?>
        <td class="vlastni1"><?php echo $this->params->get('sloupec2') ?></td>
      <?php endif ?>
    </tr> 
    <?php foreach ($this->archive AS $item) : ?>
      <?php
        $listfiles = array();
        foreach ($this->files AS $file) {
          if ($file->pid == $item->id) {
            $link = JRoute::_('index.php?option=com_urednideska&view=urednideska&task=download&id='.$file->id, false);
            $listfiles[] =  '<li>'.UrednideskaHelper::soubor1 ($file->pid,$file->file,$file->filename,$file->extension,$link,$file->hits).'</li>';
          }
        }
      ?>
    <tr class="<?php echo (count($listfiles) > 0) ? 'hasfiles' : ''; ?>">
      <td><?php echo UrednideskaHelper::fdatum($item->publish_up) ?></td>
      <td>
      <?php if ($item->publish_down == '0000-00-00') {
        echo $this->params->get( 'platnost', '');
      }
      else {
        echo UrednideskaHelper::fdatum($item->publish_down); 
      } ?>
      </td>    
      <td>
        <div><?php echo $item->title ?></div>
        <?php if (!empty($item->fulltext)) : ?>
        <div class="popis"><?php echo $item->fulltext; ?></div>
        <?php endif; ?>
      </td>
      <td><?php echo $item->catitle; ?></td>
      <?php if ($this->params->get('sloupec1') != '') : ?>
      <td class="vlastni1">
      <?php switch ($this->params->get('sloupec1param'))
      {
        case '0':
          echo $item->zodpovida;
        break;
        case '1':
          echo $item->jedcislo;
        break;
        case '3':
          echo $item->vlastni1;
        break;          
      } ?>
      </td>
      <?php endif ?>
      <?php if ($this->params->get('sloupec2') != '') : ?>
      <td class="vlastni2">
      <?php switch ($this->params->get('sloupec2param'))
      {
        case '0':
          echo $item->zodpovida;
        break;
        case '1':
          echo $item->jedcislo;
        break;
        case '3':
          echo $item->vlastni2;
        break;          
      } ?>
      </td>
      <?php endif ?>
    </tr>
    <?php if (count($listfiles) > 0) : ?>
    <tr class="filelist">
      <td colspan="<?php echo $pocetsloupcu ?>">
        <ul class="files">
          <?php echo implode($listfiles,''); ?>
        </ul>
      </td>
    </tr>
    <?php endif;?>
  <?php endforeach ?>
  </table>
  <?php else : ?>
  <div style="text-align: center;"><?php echo JText::_('COM_UREDNIDESKA_ITEM_EMPTY'); ?></div>
  <?php endif; ?>
</div>
		  