<?php
/*------------------------------------------------------------------------
# default.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla Tabs library
jimport( 'joomla.html.html.tabs' );

?>
<div id="urednideska" class="urednideska<?php echo $this->pageclass_sfx;?>">
  <?php if ($this->params->get('show_page_heading')) : ?>
  <h1>
  	<?php echo $this->escape($this->params->get('page_heading')); ?>
  </h1>
  <?php endif; ?>
  
  <?php if ($this->params->get('intro', '')) : ?>
  <div class="intro">
  	<?php echo $this->escape($this->params->get('intro')); ?>
  </div>
  <?php endif; ?>
  
  <div id="filter">
  <?php echo $this->loadTemplate('form'); ?>
  </div>
  
  <?php
    echo JHtml::_('tabs.start', 'tab_group_id', array('useCookie' => true));
 
    echo JHtml::_('tabs.panel', JText::_('COM_UREDNIDESKA_ACTUAL_ITEMS'), 'tab_actual');
    echo $this->loadTemplate($this->escape($this->params->get('sablona_aktualni', 'kat')));
 
    echo JHtml::_('tabs.panel', JText::_('COM_UREDNIDESKA_ARCHIVE_ITEMS'), 'tab_archive');
    echo $this->loadTemplate($this->escape($this->params->get('sablona_archiv', 'date')));
 
    echo JHtml::_('tabs.end'); 
  ?>
  <?php echo $this->footer; ?>
</div>
